Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Target version:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-for
eman/pull/815,
https://github.com/theforeman/foreman-i
nstaller/pull/525
Description

Currently we have --foreman-repo, --foreman-gpgcheck, --foreman-configure-epel-repo and --foreman-configure-scl-repo but the
installer itself nowadays requires the SCL repo. EPEL is not really used anymore. That only leaves the repo itself and it's better to
recommend users to use the foreman-release RPM for that.

There are also similar parameters on the Proxy which is even more confusing because they come from the same repo, but you end
up with the same yumrepo/apt files duplicated.

Moving it to a standalone class for Puppet users is a good solution.

Associated revisions

Revision 475afc0a - 04/24/2020 02:17 PM - Ewoud Kohl van Wijngaarden

Fixes #29602 - Refactor repository handling

This removes the repo parameters from the main class, in favor of a
standalone class that can be included. It uses an anchor because that
can be collected in the main class to keep the correct dependency
chaining while using composition.

Revision 00458202 - 06/24/2020 12:13 PM - Ewoud Kohl van Wijngaarden

Refs #29602 - Remove dropped repository parameters

Since theforeman-foreman 15.0.0 these parameters no longer exist and by

default no repository setup is done.

History

#1 - 04/22/2020 03:44 PM - The Foreman Bot
- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman/pull/815 added

#2 - 04/24/2020 02:17 PM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#3 - 04/24/2020 03:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman|475afc0a3809fba31eb358cbeae320afec23107b.

#4 - 06/23/2020 07:26 PM - The Foreman Bot
https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-foreman/revisions/475afc0a3809fba31eb358cbeae320afec23107b

- Pull request https://github.com/theforeman/foreman-installer/pull/525 added
